id: o2-mobile-phish

info:
  name: o2 phishing Detection
  author: rxerium
  severity: info
  description: |
    A o2 phishing website was detected
  reference:
    - https://o2.co.uk
  metadata:
    max-request: 1
  tags: phishing,o2,osint
http:
  - method: GET
    path:
      - "{{BaseURL}}"

    host-redirects: true
    max-redirects: 2

    matchers-condition: and
    matchers:
      - type: word
        words:
          - 'O2 | Phone, SIM &amp; Tech Deals - See What You Can Do'

      - type: status
        status:
          - 200

      - type: dsl
        dsl:
          - '!contains(host,"o2.co.uk")'
# digest: 490a0046304402206ab86055650b2dd917dcadae7e931dff56d4374ab0d70331f7b2ef56d00859d8022048e57d2c785ea27fabd2d1fcd63cf3fee580873c60ea6cec13b69b78cc20bb9e:922c64590222798bb761d5b6d8e72950